Subject: [alpine-aports] [PATCH] main/sed: Upgrade to 4.3. Modernize APKBUILD.

From: Przemyslaw Pawelczyk <[email-masked]>
Date: Wed, 4 Jan 2017 23:22:06 +0100

perl is needed for help2man tool.
---
 main/sed/APKBUILD | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

diff --git a/main/sed/APKBUILD b/main/sed/APKBUILD
index 4043b13fd302..ee68bfb4a382 100644
--- a/main/sed/APKBUILD
+++ b/main/sed/APKBUILD
@@ -1,24 +1,20 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=sed
-pkgver=4.2.2
+pkgver=4.3
 pkgrel=0
 subpackages="$pkgname-doc"
 pkgdesc="GNU stream editor"
 url="http://www.gnu.org/software/sed"
 arch="all"
 license="GPL"
-depends=
-makedepends=""
+makedepends="perl"
 install="$pkgname.post-deinstall"
-source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.xz"
 
-prepare() {
-	cd "$srcdir/$pkgname-$pkgver"
-	update_config_sub || return 1
-}
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() { 
-	cd "$srcdir/$pkgname-$pkgver"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
@@ -33,12 +29,15 @@ build() {
 }
 
 package() {
-	cd "$srcdir/$pkgname-$pkgver"
-	make DESTDIR="$pkgdir" install
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install \
+		|| return 1
 
 	rm -rf "$pkgdir"/usr/lib/charset.alias
 	rmdir -p "$pkgdir"/usr/lib 2>/dev/null
 	return 0
 }
 
-md5sums="4111de4faa3b9848a0686b2f260c5056  sed-4.2.2.tar.gz"
+md5sums="1957fe58dffa4a4106c1f1d7cc8dee18  sed-4.3.tar.xz"
+sha256sums="47c20d8841ce9e7b6ef8037768aac44bc2937fff1c265b291c824004d56bd0aa  sed-4.3.tar.xz"
+sha512sums="4d76a099cf7115763b79b45be5c96338750baa47e34c36075f714e022614397aa9240099d6d009e69aa4d06b6cfc14dcc0f8313442a1465f448b36fb6874a26d  sed-4.3.tar.xz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---